Bio::SeqIO::interpro(3p)

NAME
Bio::SeqIO::interpro - InterProScan XML input/output stream

SYNOPSIS
  # do not call this module directly, use Bio::SeqIO

  use strict;
  use Bio::SeqIO;

  my $io = Bio::SeqIO->new(-format => "interpro",
                           -file   => $interpro_file);

  while (my $seq = $io->next_seq) {
    # use the Sequence object
  }

DESCRIPTION
Bio::SeqIO::interpro will parse Interpro scan XML (version 1.2) and create Bio::SeqFeature::Generic objects based on the contents of the XML document.

Bio::SeqIO::interpro will also attach the annotation given in the XML file to the Bio::SeqFeature::Generic objects that it creates.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jared Fox
Email jaredfox@ucla.edu

CONTRIBUTORS
Allen Day allenday@ucla.edu

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  next_seq
 Title   : next_seq
 Usage   : my $seqobj = $stream->next_seq
 Function: Retrieves the next sequence from a SeqIO::interpro stream.
 Returns : A Bio::Seq::RichSeq object
 Args    :

  _initialize
 Title   : _initialize
 Usage   :
 Function:
 Returns :
 Args    :

  _sequence_factory
 Title   : _sequence_factory
 Usage   :
 Function:
 Returns :
 Args    :

  _xml_parser
 Title   : _xml_parser
 Usage   :
 Function:
 Returns :
 Args    :

  _parse_xml
 Title   : _parse_xml
 Usage   :
 Function:
 Returns :
 Args    :

  _dom
 Title   : _dom
 Usage   :
 Function:
 Returns :
 Args    :